Skip to main content
`Ctrl`+`K`

# MultiGraph.neighbors

MultiGraph.neighbors(n)

  Returns an iterator over all neighbors of node n.

  This is identical to `iter(G[n])`

  Parameters:
    n node

      A node in the graph

  Returns:
    neighbors iterator

      An iterator over all neighbors of node n

  Raises:
    NetworkXError

      If the node n is not in the graph.

  Notes

  Alternate ways to access the neighbors are `G.adj[n]` or `G[n]`:

      >>> G = nx.Graph()  # or DiGraph, MultiGraph, MultiDiGraph, etc
      >>> G.add_edge("a", "b", weight=7)
      >>> G["a"]
      AtlasView({'b': {'weight': 7}})
      >>> G = nx.path_graph(4)
      >>> [n for n in G[0]]
      [1]

  Examples

      >>> G = nx.path_graph(4)  # or DiGraph, MultiGraph, MultiDiGraph, etc
      >>> [n for n in G.neighbors(0)]
      [1]